4

I am using QGIS Brighton 2.6.1. Today I have installed Grass GIS 7.0.0 RC2 to try its topology functions in QGIS.

Processing options

I have activated the provider, set the paths, but everytime I try to use any Grass GIS 7 command, I get the "Missing dependency.This algorithm cannot be run :-(" error. Grass in standalone is working just fine. Windows 7 64bit user as it stands in the title.

1 Answer 1

1

I have updated "Processing" to be compliant with GRASS GIS 7.0.x. Unless it is not backported to QGIS 2.6 (which would be easy), let's hope that it goes into the upcoming QGIS 2.8 release. The QGIS developers will know more.

4
  • Any update on the issue? I just installed the latest QGIS2.7 weekly and get the same error trying to use the Grass 7 Commands with Grass 7.0.0RC2 installed and configured.
    – martin
    Commented Feb 19, 2015 at 18:35
  • You need to ask the QGIS developers... meanwhile you can download our test "grass7" package from here: aiolos.survey.ntua.gr/gisvm/dev/grass7.tar.gz (temporary link, used for OSGeo-Live 8.5) and unpack it alongside to the existing "grass" support in the processing directory. However, an official release is of course better.
    – markusN
    Commented Feb 21, 2015 at 19:05
  • Updated to 2.8.1, still having the same problem unfortunately.
    – Drake Zet
    Commented Mar 6, 2015 at 12:52
  • Please consider to open a bug report with QGIS...
    – markusN
    Commented Mar 7, 2015 at 20:56

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service and acknowledge you have read our privacy policy.

Not the answer you're looking for? Browse other questions tagged or ask your own question.